LILYPOND-BOOK(1)

NAME
lilypond-book - manual page for lilypond-book 2.26.0

SYNOPSIS
lilypond-book [OPTION]... FILE

DESCRIPTION
Process LilyPond snippets in hybrid HTML, LaTeX, texinfo or DocBook document.

OPTIONS

-F, --filter=FILTER
    pipe snippets through FILTER [default: `convert-ly -n -']

-f, --format=FORMAT
    use output format FORMAT (texi [default], texi-html, latex, html, docbook)

-h, --help
    show this help and exit

-I, --include=DIR
    add DIR to include path

--info-images-dir=DIR
    format Texinfo output so that Info will look for images of music in DIR

--left-padding=PAD
    set minimum distance between left margin and staff to PAD (in mm) [default: 3.0]

--lily-loglevel=LOGLEVEL
    print lilypond log messages according to LOGLEVEL [default: none]

--lily-output-dir=DIR
    write lily-XXX files to DIR, link into --output dir

-l, --loglevel=LOGLEVEL
    print log messages according to LOGLEVEL (NONE, ERROR, WARN, PROGRESS [default], DEBUG)

-o, --output=DIR
    write output to DIR

-P, --process=COMMAND
    process ly_files using COMMAND FILE...

--redirect-lilypond-output
    redirect lilypond output messages to log files

-s, --safe
    removed; using this option results in an error

--skip-lily-check
    do not fail if no lilypond output is found

--skip-png-check
    do not fail if no PNG images are found for EPS files

--use-source-file-names
    write snippet output files with the same base name as their source file

-V, --verbose
    be verbose

--version
    show version number and exit

-w, --warranty
    show warranty and copyright

  Options only for the latex and texinfo backends:

--pdf
    create PDF files for use with pdftex

  Options only for the latex backend:

--inline-vshift=VSHIFT
    shift inline images vertically by VSHIFT (a factor of an image's height) [default: -0.3]

--latex-program=PROG
    run executable PROG instead of latex or, in case --pdf option is set, instead of pdflatex

  Options only for the texinfo backend:

--texinfo-program=PROG
    run executable PROG instead of texi2pdf

EXAMPLES

    $ lilypond-book --format=latex --pdf FILE
    $ lilypond-book --process='lilypond -I include' FILE
    $ lilypond-book -F "convert-ly --no-version --from=2.0.0 -" FILE

REPORTING BUGS
Report bugs via bug-lilypond@gnu.org

SEE ALSO
The full documentation for lilypond-book is maintained as a Texinfo manual. If the info and lilypond-book programs are properly installed at your site, the command

    info lilypond-book

should give you access to the complete manual.